This content is password protected. To view it please enter your password below:

]]>

This content is password protected. To view it please enter your password below:

]]>

Follow-up exercise: try to model your decision process next time you are trying to converge with your friends or relatives, where to go out, or what to watch together. What is the topology of your movie-space?…

]]>Follow-up exercise: try to model your decision process next time you are trying to converge with your friends or relatives, where to go out, or what to watch together. What is the topology of your movie-space?

]]>Consider a Morse function on \(f:\Real^n\to \Real\) with controlled behavior at infinity, – say, \(f=|x|^2\) near infinity. Assume further that all critical values \(a_1<a_2<\ldots<a_k\) are distinct and that all indices of critical points are \(0\) or \(1\). (Condition obviously holds in one variable.)

Clearly, there are many function that satisfy these conditions. In the (again, most transparent) univariate case, the enumeration of topological types of functions with given critical values is the subject of a nice thread of papers by Arnold on “*snakes*” (see, e.g., here), relating them to enumeration of ramified coverings of Riemannian spheres, up-down sequences and other cute objects.…

Consider a Morse function on \(f:\Real^n\to \Real\) with controlled behavior at infinity, – say, \(f=|x|^2\) near infinity. Assume further that all critical values \(a_1<a_2<\ldots<a_k\) are distinct and that all indices of critical points are \(0\) or \(1\). (Condition obviously holds in one variable.)

Clearly, there are many function that satisfy these conditions. In the (again, most transparent) univariate case, the enumeration of topological types of functions with given critical values is the subject of a nice thread of papers by Arnold on “*snakes*” (see, e.g., here), relating them to enumeration of ramified coverings of Riemannian spheres, up-down sequences and other cute objects.

We are interested however in a somewhat finer enumeration. Notice that under our index condition, the sublevel sets \(U(c)=\{f\leq c\}\) for non-critical \(c\) are collections of topological \(n\)-disks. When increasing \(c\) crosses a value corresponding to a critical point of index \(0\), a new disk is born; when the index is \(1\), two disks merge (an alternative would be to generate an element in 1-dimensional homology in the sublevel set for which we don’t have any ammunition – critical points of index 2 – to kill later on).

Combining these births of components and their merges results in a graph which is referred to as “merge tree” and coincides, in dimension \(n\gt 1\) with the so-called Reeb (a.k.a Reeb-Kronrod) tree.

(Remark: This merge tree completely determines the 0-dimensional persistent diagram corresponding to the filtration by the sublevel sets. The algorithm of decomposing a merge tree into a collection of bars is simple: find the lowest critical point and connect it to the root. The span of the resulting path defines the longest bar. Remove the path and iterate on the resulting subtrees. We note that the bars in those subtrees will be fully contained in the bar corresponding to the removed stem.)

Can one reconstruct the function back from its merge tree? Yes, in the *univariate* case. Indeed, if the tree is a plane tree, that is if for any merging branches, we know their order left-to-right. In this case, the original function can be obtain using the contour or height walk, called sometimes the Dyck path, see Le Gall’s survey. The height walk will be equivalent (up to reparametrization of the domain) to the original function.

So, how many functions will produce the same merge tree in univariate case: well, the merge tree is binary, and so for each non-leaf vertex we have an option to flip left and right branches, leading to different plane embeddings (at least if all the critical values are distinct) of the same merge tree. Each of them will produce its own height walk, corresponding to the same (up to embedding) merge tree.

Thus, the number of different functions, up to a reparametrization of the domain, resulting in the same merge tree, in univariate case, is \(2^M\), where \(M\) is the number of local maxima, i.e. the number of branching vertices in the merge tree. This was observed by Justin Curry.

So, what would be the situation in \(\Real^n\)? It is, actually, very close to the univariate case. Fix a merge tree \(T\) (a binary tree with distinct real numbers, heights, assigned to its vertices), and denote by \(F(T)\) the space of Morse functions with merge tree \(T\). The critical values of these functions correspond to the heights of the merge tree, with exception of the largest one, the root. The critical points of index \(0\) correspond to the leaves (with exception of the root), and the branching vertices correspond to the critical points of index \(1\).

Theorem: The space \(F(T)\) is homotopy equivalent to the product of \(I\) spheres \(S^{n-1}\).

The mapping from \(F(T)\) to \((S^{n-1})^I\) is given by the collections of unit vector parallel to the unstable direction of the critical points of index 1, oriented towards the component with deeper minimum.

]]>Still, important to understand where your department is on the map, if one wants to steer it in some particular direction, or to keep it where it is.

I wrote a short python script, using BeautifulSoup (thank you!) and campus-wide subscription to MathSciNet (thank you too!) – and downloaded the raw numbers: how many items (whichever MathSciNet is indexing: articles, books, theses,…) are authored by folks from ‘1-IL’ (our code) vs.…

]]>Still, important to understand where your department is on the map, if one wants to steer it in some particular direction, or to keep it where it is.

I wrote a short python script, using BeautifulSoup (thank you!) and campus-wide subscription to MathSciNet (thank you too!) – and downloaded the raw numbers: how many items (whichever MathSciNet is indexing: articles, books, theses,…) are authored by folks from ‘1-IL’ (our code) vs. the total output, split by the rough areas as defined by the Mathematical Subject Classification scheme.

Here are the results. The left display shows the *fraction* of the world’s math output that folks at University of Illinois produced since (rather arbitrarily chosen cutoff) 2013… The right display shows the total number of published works in each area across all institutions.

The usual caveats comparing publication numbers in different areas apply: some publish at a much higher rate than others; the disparities somewhat reflected in the right table. Still, the tables below invite some deeper level of introspection.

Say, the number of works in *K*-theory – worldwide – is small. It is small not just because it is harder to write a competent paper there than, say, in game theory, but also because the sum total of people working in the area is low. So a department hosting a high fraction of the world output is akin to being home to an endangered species. Shall we protect our *K*-theorists from extinction? Or let them being taken over by operator algebra and algebraic topology? To exacerbate these existential worries, are our stats correct in the first place? – when typical number of papers in a subject area is *globally* in below a hundred a year, fluctuations start to be very pronounced.

ON the other end, at the highest output areas in math proper (PDEs, Combinatorics, Probability, Number theory…) it is important to remember that within each of them there are broad subareas with *very* different rates of typical output. A lot of publishable papers in, say, combinatorics could have been written pretty fast, but many are deep and use highly technical tools, and would clearly require years of gestation. Perhaps the top level rubrics of MSC provide too coarse a partition to use these numbers algorithmically.

Still, these numbers do tell us something. Judge yourself.

]]>We consider the problem of flock control: what are the natural constraints on the steering agents in reconfiguring an ensemble of agents?

Our basic setup is following: the agents are modeled as points \(\xx=(x_1,\ldots,x_n), x_k\in X, k=1,\ldots, N\), with \(X\) some terrain (for simplicity, we constrain ourselves here to Euclidean plane, but in general it can be some reasonably tame subset of a manifold). *Quasi-static behavior* is assumed, under which the system, for each value of the controlling parameters quickly settles into (locally minimizing) the equilibrium whose basin of attraction contains current position.…

We consider the problem of flock control: what are the natural constraints on the steering agents in reconfiguring an ensemble of agents?

Our basic setup is following: the agents are modeled as points \(\xx=(x_1,\ldots,x_n), x_k\in X, k=1,\ldots, N\), with \(X\) some terrain (for simplicity, we constrain ourselves here to Euclidean plane, but in general it can be some reasonably tame subset of a manifold). *Quasi-static behavior* is assumed, under which the system, for each value of the controlling parameters quickly settles into (locally minimizing) the equilibrium whose basin of attraction contains current position.

We will assume that the mutual interactions between the agents in the flock are governed by the interaction term of the energy

$$

R(\xx)=\sum_{k\neq l} R(x_k, x_l).

$$

Here \(R\) is a repulsive term forcing the agents to avoid each other. For the case of planar terrain, Coulomb interactions are especially attractive options, thanks to connections to potential theory and related holomorphic parameterizations:

$$

R(x_k,x_l)=-\log |x_k-x_l|.

$$

To keep the agent confined, we impose a global term,

$$

U_0(\xx)=\sum_k U_0(x_k).

$$

Here \(U\) is a coercive function (\(U(x_k):=\alpha |x_k|^2\) is an obvious choice).

Last element of the setup, is the controller term, – or, rather, an explicit dependence of the global energy sector on some control parameters.

We consider here two versions:

- The steering agent is herself embedded into the terrain, and her contribution to the potential also has the repulsive force structure:

$$

U_p(x_k)=U_0(x_k)-K\log|p-x_k), p\in X.

$$

We will be referring to this setting as the “shepherd” setting. - The confining potential function \(U_p\) is made explicitly dependent on the parameter \(p\in P\), some space of parameters. As a non-example, we can consider \(U_p(x)=U_0(x)+\langle p, x\rangle\). More interesting would be to make the quadratic form \(U\) dependent on the parameter running through positive definite forms.

As we indicated above, the overall dynamics is assumed to be fast on the agents, settling to their equilibrium state corresponding to the fixed values of the steering parameter \(p\), and slow for the parameter \(p\). This leads one to the following formulation:

$$

\dot{x}_k=-\frac{1}{\epsilon}\frac{\partial U_p(\xx)}{\partial x_k},\\

U_p(\xx)=\sum_k \left( U_p(x_k)+\sum_{l\neq k} R(x_k,x_l)\right),\\

\dot{p}=u, u\in U.

$$

Intuitively, the model corresponds to Ginibre ensemble (eigenvalues of Gaussian complex matrices), with a perturbative term (corresponding to “shepherd”).

Agents positions \(x(t)=(x_k(t))_{k=1}^M\), “shepherd” (steering agent) trajectory \(p(t)\).

Potential function:

$$U(x,p) = \frac{\alpha}{2}\|x\|^2 + \frac{1}{2}\sum_{k\neq j} \log\|x_k-x_j\|^2 + \frac{1}{2}\sum_k\log\|x_k-p\|^2.$$

Dog trajectory initial and final condition: \(p(0)=p(T)=p_0\)

Agents initial condition at equilibrium: \(\nabla U(x(0),p(0))=0\)

Temporal evolution:

$$\dot x(t) = -\nabla U(x(t),p(t))$$

The gradient (for each agent agent) is:

$$

\begin{align}

\nabla_{x_k} U(x,p) &= \nabla \frac{\alpha}{2}\|x_k\|^2 + \frac{1}{2}\sum_{j\neq k} \nabla_{x_k}\log\|x_k-x_j\|^2 + \frac{1}{2} \nabla_{x_k}\log\|x_k-p\|^2\\

&=

\alpha x + \sum_{k\neq j} \frac{x_k-x_j}{\|x_k-x_j\|^2}

+ \frac{x_k-p}{\|x_k-p\|^2}

\end{align}

$$

Example of simulation with herd of 12:

One can see starting (dot) and ending (cross) positions of the agents. The trajectory of the steering agent is solid blue. The agents start and end in an equilibrium position; n3o braiding of the agents observed.

- Assume the first, “shepherd”, model. Fix a (smooth) trajectory \(p:[0,T]\to X\equiv \Real^2\), starting and ending at the same point \(p_0\) far away from the origin. This loop would generate a movement among the charges \(x_k, k=1,\ldots,n\).Do the point return to the same positions reshuffled?
- When they do, one generates so called braid, an element in the fundamental group of the configuration space of \(n\) (indistinguishable) points in plane. What elements can be generated?
- What elements can be generated if the movements of the shepherd are constrained, for example to stay outside of the convex hull of the agents?

This content is password protected. To view it please enter your password below:

]]>

\)

Consider \(n\) points in Euclidean space, \(\xx=\{x_1,\ldots, x_n\}, x_k\in \Real^d, n\leq d+1\).

Generically, there is a unique sphere in the affine space spanned by those points, containing all of them. This centroid (which we will denote as \(o(x_1,\ldots,x_n)\)) lies at the intersection of the bisectors \(H_{kl}, 1\leq k\lt l\leq n\), hyperplanes of points equidistant from \(x_k, x_l\).

Assume now that the points \(x_k,k=1,\ldots,n\) are independent standard \(d\)-dimensional Brownian motions. What is the law of the centroid?

It quite easy to see that it is a continuous martingale.…

]]>\)

Consider \(n\) points in Euclidean space, \(\xx=\{x_1,\ldots, x_n\}, x_k\in \Real^d, n\leq d+1\).

Generically, there is a unique sphere in the affine space spanned by those points, containing all of them. This centroid (which we will denote as \(o(x_1,\ldots,x_n)\)) lies at the intersection of the bisectors \(H_{kl}, 1\leq k\lt l\leq n\), hyperplanes of points equidistant from \(x_k, x_l\).

Assume now that the points \(x_k,k=1,\ldots,n\) are independent standard \(d\)-dimensional Brownian motions. What is the law of the centroid?

It quite easy to see that it is a continuous martingale. What is the quadratic variation of \(o\)?

If the directions orthogonal to the affine span \(L(\xx)\) of the tuple, the answer is immediate: it is proportional to

$$

\sum_{k=1}^n p^2_k,

$$

where \(p_k\) are the barycentric coordinates of \(o\) with respect to \(x_1,\ldots,x_n\). Indeed, it is immediate that if \(dx_k^\perp\) are the components of the Brownian increments orthogonal to \(L(\xx)\), then

$$

do^\perp(\xx)=\sum_k p_k dx_k^\perp.

$$

It follows -as \(dx_k^\perp\) are independent and uncorrelated) that the component of \(o\) orthogonal to \(L(\xx)\) is a martingale with variation equal to (Euclidean norm on \(L(\xx)^\perp\) times) \(\sum_k p_k^2\).

Let’s turn to the motion of \(o(\xx)\) inside \(L(\xx)\). Let \(S(\xx)\subset L(\xx)\) be the sphere centered at the centroid and containing all the points of the sample. Let \(dx_k^\parallel=\xi_k+\eta_k\) be the decomposition of the \(L(\xx)\) component of \(dx_k\) into the vector in the tangent space \(\xi_k\in T_{x_k}S(\xx)\), and the vector orthogonal to it. If we denote by \(n_k=(x_k-o(\xx))/|x_k-o(\xx)|\) the unit norm vector from the centroid to \(k\)-th point of the sample, then \(\eta_k=s_k\cdot n_k\), where \(s_k\) is the increment of a Brownian motion independent of all all other components (as follows from the orthogonalities hardwired in the construction).

Now, the condition that as the points of the sample move, the distances to the centroid remain constant is equivalent to

$$

\langle \eta_k-\nu,n_k\rangle=\langle \eta_l-\nu,n_l\rangle,

$$

for all \(1\leq l,k\leq n\). (Here we denote by

$$

\nu:=do(\xx)^\parallel

$$

the \(L(\xx)\)-component of \(do(\xx)\).)

Equivalently, this means that \(\langle \nu, n_k-n_l\rangle=s_k-s_l\).

As \(s_k, s_l\) are independent, with unit quadratic variation, we conclude that

$$

\langle (n_k-n_l),C (n_k-n_l)\rangle=2

$$

for all \(k,l\), – here

$$

C:=\ex \nu\otimes\nu’

$$

is the quadratic variation of the centroid in the affine plane spanned by the sample.

Geometrically, an equivalent description is that \(C=AA’\), where \(A\) is the linear part of the affine transformation taking the points of the sample to the regular \(n\)-simplex with sides \(\sqrt{2}\).

]]>\)

Consider a collection of vectors \(e_1,\ldots,e_n\) in the upper half-plane, such that \(e_k=(x_k,1)\) and \(x_1>x_2\gt \ldots \gt x_n\). Minkowski sum of the segments \(s_k:=[0,e_k]\) is a zonotope \(\Z\). *Rhombus* in this context are the Minkowski sums \(\Z(k,l)=s_k\oplus s_l, 1\leq k\lt l\leq n\) of pairs of the segments. Tilings of \(\Z\) by \(n\choose 2\) rhombuses \(\Z(k,l)\) define also an oriented graph (formed by the edges of the rhombuses, and oriented up in the plane). An increasing path from the bottom to the top defines then a permutations in \(\sg_n\): each of the vectors \(e_k\) appears in an increasing path once, and the permutation then is the order of these vectors.…

\)

Consider a collection of vectors \(e_1,\ldots,e_n\) in the upper half-plane, such that \(e_k=(x_k,1)\) and \(x_1>x_2\gt \ldots \gt x_n\). Minkowski sum of the segments \(s_k:=[0,e_k]\) is a zonotope \(\Z\). *Rhombus* in this context are the Minkowski sums \(\Z(k,l)=s_k\oplus s_l, 1\leq k\lt l\leq n\) of pairs of the segments. Tilings of \(\Z\) by \(n\choose 2\) rhombuses \(\Z(k,l)\) define also an oriented graph (formed by the edges of the rhombuses, and oriented up in the plane). An increasing path from the bottom to the top defines then a permutations in \(\sg_n\): each of the vectors \(e_k\) appears in an increasing path once, and the permutation then is the order of these vectors. Collection of all such permutations corresponding to a tiling \(\tau\) is denoted as \(\sg(\tau)\).

Recall that the *Condorset paradox* describe a situation when in a collection of odd number of permutations (perhaps, with repetitions), the order defined by majority rues on pairs has cycles: an example is

$$

\{(1,2,3),(2,3,1),(3,1,2): 1\succ 2\succ 3\succ 1:

$$

one can see that alternative \(1\) is preferred to alternative \(2\) by majority, etc…

A *Condorset domain* is a subset in \(\sg_n\) for which the Condorset paradox cannot happen. A well-known example is the one-peaked permutations (whose graph is a unimodal function). Danilov, Karzanov and Koshevoi noticed that for any tiling \(\tau\) of \(\Z\), the collection \(\sg(\tau)\) is a Condorset domain…

On the negative side, Arrow’s impossibility theorem states that any aggregation procedure subject to some natural “axioms” (which the majority voting satisfies) and defined on all of \(\sg_n, n\geq 3\), does not exist.

In another direction, it was noticed (by Benno Eckmann, Graciela Chichilnisky and others, see surveys here and there) – that in the topological version of preference aggregation (social choice) theory, the key trouble in preference aggregation is caused by the nontrivial topology of the space of preferences, and that all those problems tend to resolve when the space is contractible.

Of course, all of this is not directly applicable to the setup of Arrow’s impossibility theorem: there the space of the preferences is discrete. Yet, one can impose some topology there as well (as done here), in the following way:

Let \(\B=\{(k, l)\}, 1\leq k\neq l\leq n\) be the set of ordered pairs of distinct alternatives. We form a simplicial complex by adding a simplex $latex\sigma$ if the collection of pairwise preferences forming the vertices of that simplex do not have a cycle. The maximal number of vertices in such a simples is, clearly, \(n\choose 2\), and each simplex corresponds to a linear order on the indices \(1,2,\ldots, n\), i.e. an element of \(\sg_n\).

One can prove almost immediately, the resulting simplicial complex is homotopy equivalent to \((n-2)\)-dimensional sphere. This in turn, can be used to deduce Arrow’s theorem.

Now, it is natural to ask, what is the topology of the simplicial complex comprised of the simplices in \(\sg(\tau)\), – is it trivial? This wouldn’t prove anything per se, but would be consistent with the previous observations and point at the general meta statement that social choice paradoxes require nontrivial topology.

And indeed, we have an easy

**Theorem**: the union of simplices on \(\B\) from \(\sg(\tau)\) is contractible for any rhomboidal tiling of \(\Z\).

**Proof**: The path corresponding to the leftmost border of the zonotope \(\Z\) corresponds to identity permutation, and some adjacent pair of edges in that path span a rhombus of the tiling. Removing this rhombus gives a smaller tiling, whose leftmost border still will have a pair of adjacent edges spanning a rhombus in \(\tau\). Each operation of removal of a rhombus corresponds, in the simplicial complex, to the removal of a vertex and collapse of the unique simplex containing it to its base, preserving the homotopy type. After a few iteration, one arrives to a unique simplex (corresponding to the rightmost path in \(\Z\)). ▢

]]>